Name:		perl-Module-Metadata
Version:	1.000006
Release:	1%{?dist}
Summary:	Gather package and POD information from perl module files
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Module-Metadata/
Source0:	http://search.cpan.org/CPAN/authors/id/D/DA/DAGOLDEN/Module-Metadata-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	perl(Cwd)
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(File::Path)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(IO::File)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Pod)
BuildRequires:	perl(Test::Pod::Coverage)
BuildRequires:	perl(version) >= 0.87
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
# Versioned requirement not picked up prior to rpm 4.9.x in F-15
%if 0%{?fedora} < 15 && 0%{?rhel} < 7
Requires:	perl(version) >= 0.87
%endif

%description
%{summary}.

%prep
%setup -q -n Module-Metadata-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} \; 2>/dev/null
%{_fixperms} %{buildroot}

%check
make test TEST_FILES="t/*.t xt/*.t"

%files
%defattr(-,root,root,-)
%doc Changes
%{perl_vendorlib}/Module/
%{_mandir}/man3/Module::Metadata.3pm*

%changelog
* Sun Sep  4 2011 Paul Howarth <paul@city-fan.org> - 1.000006-1
- Update to 1.000006
  - Support PACKAGE BLOCK syntax

* Wed Aug  3 2011 Paul Howarth <paul@city-fan.org> - 1.000005-1
- Update to 1.000005
  - Localize $package::VERSION during version discovery
  - Fix references to Module::Build::ModuleInfo (CPAN RT#66133)
  - Added 'new_from_handle()' method (CPAN RT#68875)
  - Improved documentation (SYNOPSIS, broke out class/object method, and
    other minor edits)
- Install to vendor directories rather than perl directories

* Mon Jun 20 2011 Paul Howarth <paul@city-fan.org> - 1.000004-5
- Bump and rebuild

* Mon Jun 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.000004-4
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.000004-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Feb  3 2011 Paul Howarth <paul@city-fan.org> - 1.000004-2
- Tweaks from package review (#672779)
  - Explicitly duplicate %%summary in %%description as upstream provides
    nothing particularly useful
  - Drop redundant BuildRoot tag
  - Add BuildRequires for possibly dual-lived perl modules:
    Cwd Data::Dumper Exporter File::Path File::Spec File::Temp IO::File
- Explicitly require perl(version) >= 0.87 for builds on OS releases older
  than Fedora 15 where the versioned dependency isn't picked up automatically

* Thu Feb  3 2011 Paul Howarth <paul@city-fan.org> - 1.000004-1
- Update to 1.000004
  - Fix broken metadata.t when @INC has relative paths

* Wed Jan 26 2011 Paul Howarth <paul@city-fan.org> - 1.000003-2
- Sanitize for Fedora submission
- Drop support for releases prior to F-15 due to needing perl(version) >= 0.87

* Tue Jan 25 2011 Paul Howarth <paul@city-fan.org> - 1.000003-1
- Initial RPM version
